mahout-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pat Ferrel (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MAHOUT-2023) Drivers broken, scopt classes not found
Date Sat, 18 Nov 2017 23:38:00 GMT

    [ https://issues.apache.org/jira/browse/MAHOUT-2023?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16258258#comment-16258258
] 

Pat Ferrel commented on MAHOUT-2023:
------------------------------------

Whoa, that is a big clue I think. Everything without a scala.compat.version is included in
the file mahout-spark_2.10-0.13.1-SNAPSHOT-dependency-reduced.jar or whatever is generated
for the Scala version but none of the classes that use scala.compat.version to resolve the
classname.

Big clue but not sure where it leads [~rawkintrevo_apache] Any idea where to look from here?

> Drivers broken, scopt classes not found
> ---------------------------------------
>
>                 Key: MAHOUT-2023
>                 URL: https://issues.apache.org/jira/browse/MAHOUT-2023
>             Project: Mahout
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 0.13.1
>         Environment: any
>            Reporter: Pat Ferrel
>            Assignee: Pat Ferrel
>            Priority: Blocker
>             Fix For: 0.13.1
>
>
> Type `mahout spark-itemsimilarity` after Mahout is installed properly and you get a fatal
exception due to missing scopt classes.
> Probably a build issue related to incorrect versions of scopt being looked for.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message